> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List batches

> Retrieve a paginated list of batches for the authenticated account.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/batches
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v2/batches:
    get:
      tags:
        - Tasks
      summary: List batches
      description: Retrieve a paginated list of batches for the authenticated account.
      responses:
        '200':
          description: List of batches returned successfully.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.